package com.ruoyi.bst.orderDevice.utils;

import com.ruoyi.bst.device.domain.DeviceVO;
import com.ruoyi.bst.orderDevice.domain.OrderDevice;

public class OrderDeviceUtil {


    public static void setDeviceInfo(OrderDevice orderDevice, DeviceVO device) {
        if (orderDevice == null || device == null) {
            return;
        }
        orderDevice.setDeviceId(device.getId());
        orderDevice.setDeviceMac(device.getMac());
        orderDevice.setDeviceSn(device.getSn());
        orderDevice.setDeviceVehicleNum(device.getVehicleNum());
        orderDevice.setDeviceMchId(device.getMchId());
        orderDevice.setDeviceModelFullEndurance(device.getModelFullEndurance());
    }
}
